# Uses of Interface
javax.swing.text.Keymap

Packages that use Keymap
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of Keymap in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic that return Keymap
Modifier and Type
Method
Description
`protected Keymap`
BasicTextUI.`createKeymap()`
Creates the keymap to use for the text component, and installs any necessary bindings into it.

## Uses of Keymap in javax.swing.text

Methods in javax.swing.text that return Keymap
Modifier and Type
Method
Description
`static Keymap`
JTextComponent.`addKeymap​(String nm, Keymap parent)`
Adds a new keymap into the keymap hierarchy.
`Keymap`
JTextComponent.`getKeymap()`
Fetches the keymap currently active in this text component.
`static Keymap`
JTextComponent.`getKeymap​(String nm)`
Fetches a named keymap previously added to the document.
`Keymap`
Keymap.`getResolveParent()`
Fetches the parent keymap used to resolve key-bindings.
`static Keymap`
JTextComponent.`removeKeymap​(String nm)`
Removes a named keymap previously added to the document.
Methods in javax.swing.text with parameters of type Keymap
Modifier and Type
Method
Description
`static Keymap`
JTextComponent.`addKeymap​(String nm, Keymap parent)`
Adds a new keymap into the keymap hierarchy.
`static void`
JTextComponent.`loadKeymap​(Keymap map, JTextComponent.KeyBinding[] bindings, Action[] actions)`
Loads a keymap with a bunch of bindings.
`void`
JTextComponent.`setKeymap​(Keymap map)`
Sets the keymap to use for binding events to actions.
`void`
Keymap.`setResolveParent​(Keymap parent)`
Sets the parent keymap, which will be used to resolve key-bindings.